Get the Latest Event Subscription Execution

OBTENER /groups/{groupId}/apps/{appId}/event_subscriptions/{eventSubscriptionId}/execution

Devuelve información sobre la ejecución más reciente de una suscripción a eventos.

Parámetros de path

Respuestas

  • 200 aplicación/json

    Éxito.

    Ocultar atributos de respuesta Mostrar los atributos de respuesta Objeto
    • Datos Objeto
    • resource_id Objeto
    • completed_at Objeto

      The last time a batch was processed from the event stream.

      The value of completed_at should be relatively close to the current time. If completed_at is not updating over time, it might mean that the event processor (e.g. Device Sync) is down or stuck.

    • cluster_time Objeto

      The time of the latest event in the most recently processed batch.

      Si el valor de cluster_time es significativamente anterior a la hora completed_at, el procesador de eventos (por ejemplo. Device Sync) está retrasado respecto al evento.

GET /groups/{groupId}/apps/{appId}/event_subscriptions/{eventSubscriptionId}/execution
curl \
 --request GET 'https://services.cloud.mongodb.com/api/admin/v3.0/groups/{groupId}/apps/{appId}/event_subscriptions/{eventSubscriptionId}/execution' \
 --header "Authorization: Bearer $ACCESS_TOKEN"
Ejemplos de respuestas (200)
{
  "data": {},
  "resource_id": {},
  "completed_at": {},
  "cluster_time": {}
}